<!DOCTYPE html>
{% load static %}
<html>

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- Boostrap css -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <!-- FONTS GOOGLE -->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,400;0,500;0,700;0,900;1,300;1,400;1,500;1,700;1,900&display=swap" rel="stylesheet">
    <!-- OWL CAROUSEL -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/assets/owl.carousel.min.css" integrity="sha512-tS3S5qG0BlhnQROyJXvNjeEM4UpMXHrQfTGmbQ1gKmelCxlSEBUaxhRBj/EFTzpbP4RVSrpEikbmdJobCvhE3g==" crossorigin="anonymous" />
    <!-- Fontawesome -->
    <script src="https://kit.fontawesome.com/8afc88656e.js" crossorigin="anonymous"></script>
    <!-- Bootstrap JS -->
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js" integrity="sha384-IQsoLXl5PILFhosVNubq5LC7Qb9DXgDA9i+tQ8Zj3iwWAwPtgFTxbJ8NT4GN1R8p" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.min.js" integrity="sha384-cVKIPhGWiC2Al4u+LWgxfKTRIcfu0JTxR+EQDz/bgldoEyl4H0zUF0QKbrJ0EcQF" crossorigin="anonymous"></script>
    <link rel="shortcut icon" href="#">
    <!-- Custom css -->
    <link rel="stylesheet" type="text/css" href="{% static 'css/grid.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'css/style.css' %}">

    <link href='https://fonts.googleapis.com/css?family=Roboto' rel='stylesheet'>
    {% block css %}
    {% endblock css %}
    <title>{%block title %} Home {% endblock title %}</title>
</head>

<body>
    <!-- Navbar -->
    <nav class="navbar fixed-top navbar-expand-sm" style="background-color: #011936;">
        <div class="container-fluid">
            <a class="navbar-brand" href="#">
                <i class="fas fa-ticket-alt fa-sm fa-spin"></i>SIPI</a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class=""><i class="fas fa-bars"></i></span>
            </button>
            <div class="d-flex">
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                    <li class="nav-item">
                        <a class="nav-link active" aria-current="page" href="/film/">Film</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="/berita/">Berita</a>
                    </li>
                    <li class="nav-item active">
                        <a class="nav-link" href="/watchlist/">Watchlist<span class="sr-only">(current)</span></a>
                    </li>
                    
                    {%if user.is_authenticated%}
                    <li class="nav-item">
                        <a class="nav-link"href="{% url 'account:logout' %}">log Out</a>
                    </li>
                    {%else%}
                    <li class="nav-item">
                        <a class="nav-link"href="{% url 'account:login' %}">log In</a>
                    </li>
                    {%endif%}
                </ul>
                <!-- <form class="d-flex">
                    <input class="form-control me-2" type="search" placeholder="Search" aria-label="Search">
                    <button class="btn btn-outline-success" type="submit">Search</button>
                </form> -->
                </div>
        </div>
        </div>
    </nav>
   
    <div style="background-color: #465362; min-height: 100vh; font-family: 'Roboto'">
        {% block content %}
        {%endblock content %}
    </div>
    <!-- JQUERY -->
    <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-growl/1.0.0/jquery.bootstrap-growl.min.js"></script>
    <!-- OWL CAROUSEL -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/owl.carousel.min.js" integrity="sha512-bPs7Ae6pVvhOSiIcyUClR7/q2OAsRiovw4vAkX+zJbw3ShAeeqezq50RIIcIURq7Oa20rW2n2q+fyXBNcU9lrw==" crossorigin="anonymous"></script>
    <script type="text/javascript">
    let msg = document.getElementsByClassName("alert")
    for (let i = 0; i < msg.length; i++) {
        console.log(msg[i].getAttribute('value'));
        show(msg[i].getAttribute('value'), msg[i].getAttribute('id'))
    }

    function show(value, tag) {
        setTimeout(function() {
            $.bootstrapGrowl(value, {
                type: tag,
                align: 'center',
                width: 'auto',
                allow_dismiss: false
            })
        }, 100)


    }
    </script>
    {% block script %}
    {% endblock script %}
    <!-- <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-growl/1.0.0/jquery.bootstrap-growl.min.js"></script> -->
    <!-- APP SCRIPT -->
    <script src="{% static 'js/app.js' %}"></script>
</body>

</html>